• Raphael Quinet's avatar
    updated test for libjpeg so that it requires version 6b (27-Mar-1998) or · 5d300d57
    Raphael Quinet authored
    2005-04-12  Raphael Quinet  <raphael@gimp.org>
    
    	* configure.in: updated test for libjpeg so that it requires
    	version 6b (27-Mar-1998) or later.
    
    	* plug-ins/jpeg/jpeg.h
    	* plug-ins/jpeg/jpeg.c
    	* plug-ins/jpeg/jpeg-load.c
    	* plug-ins/jpeg/jpeg-save.h
    	* plug-ins/jpeg/jpeg-save.c: added support for loading and saving
    	XMP packets in JPEG APP1 markers, simplified the code that reads
    	comments from COM markers and removed #ifdef HAVE_PROGRESSIVE_JPEG
    	because we require jpeg-6b, which includes progressive support.
    5d300d57
jpeg-load.c 25.9 KB